Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: My iBook G4

The certificate for this website is invalid.

Posted on

Reply

Page content loaded

Mar 16, 2018 10:55 PM in response to losh32 In response to losh32

The reason is probably that the web browser is old. You may want to try another web browser, but the choice is limited due to the fact that the Mac OS X versions compatible with an iBook G4 are old as well. A browser called TenFourFox has been mentioned by some.

Mar 16, 2018 10:55 PM

Reply Helpful

Mar 17, 2018 12:49 AM in response to losh32 In response to losh32

..To find 'supported web browser' for Tiger 10.4.11 &/or Leopard 10.5.8 is limited..

A browser for PPC G3/G4/G5 see http://www.floodgap.com/software/tenfourfox/


Worth trying. But note: the new internet is slow on older hardware. Also TenFourFox

does not use Flash. For details see their site for build model versions, and more info.

User uploaded file

Mar 17, 2018 12:49 AM

Reply Helpful
User profile for user: losh32

Question: My iBook G4